import 'package:intl/intl.dart';

extension DateTimeFormatters on DateTime? {
  String? get timeHhMmSs {
    return this == null ? null : DateFormat('HH:mm:ss').format(this!);
  }

  String? get timeHhMmSsJson {
    return this == null ? null : DateFormat('HHmmss').format(this!);
  }

  String? getFormattedDate({required DateFormat defaultDateFormat}) {
    return this == null ? null : defaultDateFormat.format(this!);
  }

  String? get date {
    return this == null ? null : DateFormat('yyyy-MM-dd').format(this!);
  }

  String? get dateJson {
    return this == null ? null : DateFormat('yyyyMMdd').format(this!);
  }
}
